package com.product.center.manage.controller.policysynconf;

import java.util.List;

import com.product.center.manage.domain.CenterPolicySynConf;
import com.product.center.manage.service.ICenterPolicySynConfService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.product.center.manage.common.annotation.Log;
import com.product.center.manage.common.enums.BusinessType;
import com.product.center.manage.common.core.controller.BaseController;
import com.product.center.manage.common.core.domain.AjaxResult;
import com.product.center.manage.common.utils.poi.ExcelUtil;
import com.product.center.manage.common.core.page.TableDataInfo;

/**
 * 【请填写功能名称】Controller
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Controller
@RequestMapping("/policy-syn/conf")
public class CenterPolicySynConfController extends BaseController
{
    private String prefix = "policysynconf";

    @Autowired
    private ICenterPolicySynConfService centerPolicySynConfService;

    @RequiresPermissions("policy-syn:conf:view")
    @GetMapping()
    public String conf()
    {
        return prefix + "/index";
    }

    /**
     * 查询【请填写功能名称】列表
     */
    @RequiresPermissions("policy-syn:conf:list")
    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(CenterPolicySynConf centerPolicySynConf)
    {
        startPage();
        List<CenterPolicySynConf> list = centerPolicySynConfService.selectCenterPolicySynConfList(centerPolicySynConf);
        return getDataTable(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @RequiresPermissions("policy-syn:conf:export")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    @ResponseBody
    public AjaxResult export(CenterPolicySynConf centerPolicySynConf)
    {
        List<CenterPolicySynConf> list = centerPolicySynConfService.selectCenterPolicySynConfList(centerPolicySynConf);
        ExcelUtil<CenterPolicySynConf> util = new ExcelUtil<CenterPolicySynConf>(CenterPolicySynConf.class);
        return util.exportExcel(list, "【请填写功能名称】数据");
    }

    /**
     * 新增【请填写功能名称】
     */
    @GetMapping("/add")
    public String add()
    {
        return prefix + "/add";
    }

    /**
     * 新增保存【请填写功能名称】
     */
    @RequiresPermissions("policy-syn:conf:add")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping("/add")
    @ResponseBody
    public AjaxResult addSave(CenterPolicySynConf centerPolicySynConf) {
        return toAjax(centerPolicySynConfService.insertCenterPolicySynConf(centerPolicySynConf));
    }

    /**
     * 修改【请填写功能名称】
     */
    @RequiresPermissions("policy-syn:conf:edit")
    @GetMapping("/edit/{id}")
    public String edit(@PathVariable("id") Long id, ModelMap mmap)
    {
        CenterPolicySynConf centerPolicySynConf = centerPolicySynConfService.selectCenterPolicySynConfById(id);
        mmap.put("centerPolicySynConf", centerPolicySynConf);
        return prefix + "/edit";
    }

    /**
     * 修改保存【请填写功能名称】
     */
    @RequiresPermissions("policy-syn:conf:edit")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PostMapping("/edit")
    @ResponseBody
    public AjaxResult editSave(CenterPolicySynConf centerPolicySynConf)
    {
        return toAjax(centerPolicySynConfService.updateCenterPolicySynConf(centerPolicySynConf));
    }

    /**
     * 删除【请填写功能名称】
     */
    @RequiresPermissions("policy-syn:conf:remove")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @PostMapping( "/remove")
    @ResponseBody
    public AjaxResult remove(String ids)
    {
        return toAjax(centerPolicySynConfService.deleteCenterPolicySynConfByIds(ids));
    }
}
