package com.product.center.manage.controller.policysynconf;

import java.util.List;

import com.product.center.manage.domain.CenterPolicySynLog;
import com.product.center.manage.service.ICenterPolicySynLogService;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import com.product.center.manage.common.annotation.Log;
import com.product.center.manage.common.enums.BusinessType;
import com.product.center.manage.common.core.controller.BaseController;
import com.product.center.manage.common.core.domain.AjaxResult;
import com.product.center.manage.common.utils.poi.ExcelUtil;
import com.product.center.manage.common.core.page.TableDataInfo;

/**
 * 【请填写功能名称】Controller
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Controller
@RequestMapping("/system/log")
public class CenterPolicySynLogController extends BaseController
{
    private String prefix = "system/log";

    @Autowired
    private ICenterPolicySynLogService centerPolicySynLogService;

    @RequiresPermissions("system:log:view")
    @GetMapping()
    public String log()
    {
        return prefix + "/log";
    }

    /**
     * 查询【请填写功能名称】列表
     */
    @RequiresPermissions("system:log:list")
    @PostMapping("/list")
    @ResponseBody
    public TableDataInfo list(CenterPolicySynLog centerPolicySynLog)
    {
        startPage();
        List<CenterPolicySynLog> list = centerPolicySynLogService.selectCenterPolicySynLogList(centerPolicySynLog);
        return getDataTable(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @RequiresPermissions("system:log:export")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    @ResponseBody
    public AjaxResult export(CenterPolicySynLog centerPolicySynLog)
    {
        List<CenterPolicySynLog> list = centerPolicySynLogService.selectCenterPolicySynLogList(centerPolicySynLog);
        ExcelUtil<CenterPolicySynLog> util = new ExcelUtil<CenterPolicySynLog>(CenterPolicySynLog.class);
        return util.exportExcel(list, "【请填写功能名称】数据");
    }

    /**
     * 新增【请填写功能名称】
     */
    @GetMapping("/add")
    public String add()
    {
        return prefix + "/add";
    }

    /**
     * 新增保存【请填写功能名称】
     */
    @RequiresPermissions("system:log:add")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping("/add")
    @ResponseBody
    public AjaxResult addSave(CenterPolicySynLog centerPolicySynLog)
    {
        return toAjax(centerPolicySynLogService.insertCenterPolicySynLog(centerPolicySynLog));
    }

    /**
     * 修改【请填写功能名称】
     */
    @RequiresPermissions("system:log:edit")
    @GetMapping("/edit/{id}")
    public String edit(@PathVariable("id") Long id, ModelMap mmap)
    {
        CenterPolicySynLog centerPolicySynLog = centerPolicySynLogService.selectCenterPolicySynLogById(id);
        mmap.put("centerPolicySynLog", centerPolicySynLog);
        return prefix + "/edit";
    }

    /**
     * 修改保存【请填写功能名称】
     */
    @RequiresPermissions("system:log:edit")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PostMapping("/edit")
    @ResponseBody
    public AjaxResult editSave(CenterPolicySynLog centerPolicySynLog)
    {
        return toAjax(centerPolicySynLogService.updateCenterPolicySynLog(centerPolicySynLog));
    }

    /**
     * 删除【请填写功能名称】
     */
    @RequiresPermissions("system:log:remove")
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @PostMapping( "/remove")
    @ResponseBody
    public AjaxResult remove(String ids)
    {
        return toAjax(centerPolicySynLogService.deleteCenterPolicySynLogByIds(ids));
    }
}
