package com.product.center.manage.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.product.center.manage.common.annotation.Excel;
import com.product.center.manage.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 center_order_person
 *
 * @author ruoyi
 * @date 2022-09-26
 */
@Data
@TableName("center_order_person")
public class CenterOrderPerson extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private Long sex;

    /** 生日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date birthday;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 证件类型 */
    @Excel(name = "证件类型")
    private String certType;

    /** 证件类型描述 */
    @Excel(name = "证件类型描述")
    private String certTypeStr;

    /** 证件号 */
    @Excel(name = "证件号")
    private String certNo;

    /** 身份证是否长期，1是长期，0是非长期 */
    @Excel(name = "身份证是否长期，1是长期，0是非长期")
    private String certForever;

    /** 证件是否长期，1是长期，0是非长期 */
    @Excel(name = "证件是否长期，1是长期，0是非长期")
    private String certForeverDate;

    /** 证件有效期起期 */
    @Excel(name = "证件有效期起期")
    private String certStart;

    /** 证件有效期止期 */
    @Excel(name = "证件有效期止期")
    private String certValid;

    /** 职业代码 */
    @Excel(name = "职业代码")
    private String occup;

    /** 职业名称 */
    @Excel(name = "职业名称")
    private String occupName;

    /** 职业风险等级 */
    @Excel(name = "职业风险等级")
    private String occupLevel;

    /** 身高 */
    @Excel(name = "身高")
    private String height;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 邮箱 */
    @Excel(name = "邮箱")
    private String email;

    /** 手机号码 */
    @Excel(name = "手机号码")
    private String mobile;

    /** 类型 01 投保人 02 被保人 03 受益人 */
    @Excel(name = "类型 01 投保人 02 被保人 03 受益人")
    private String type;

    /** 省份代码 */
    @Excel(name = "省份代码")
    private String provId;

    /** 省份名称 */
    @Excel(name = "省份名称")
    private String provName;

    /** 城市代码 */
    @Excel(name = "城市代码")
    private String cityId;

    /** 城市名称 */
    @Excel(name = "城市名称")
    private String cityName;

    /** 县区代码 */
    @Excel(name = "县区代码")
    private String countryId;

    /** 县区名称 */
    @Excel(name = "县区名称")
    private String countryName;

    /** 详细地址不包含省市区 */
    @Excel(name = "详细地址不包含省市区")
    private String address;

    /** 婚姻状况 */
    @Excel(name = "婚姻状况")
    private String marriage;

    /** 学历、0：大专及一下，1：本科及以上 */
    @Excel(name = "学历、0：大专及一下，1：本科及以上")
    private String degree;

    /** 国籍 */
    @Excel(name = "国籍")
    private String nativePlace;

    /** 社保状况、0：无社保、1：有社保 */
    @Excel(name = "社保状况、0：无社保、1：有社保")
    private String socialSecurity;

    /** 与投保人关系 0("本人"),1("父子"),2("父女"),3("母子"),4("母女"),5("祖孙"),7("夫妻"),8("兄弟"), 9("兄妹"),10("姐弟"),11("姐妹"),12("叔侄"),13("姑侄"),14("外甥"),15("媳"),16("婿"), 17("姐夫"),18("朋友"),19("同事"),20("师生"),21("雇佣"),22("其他"),23("法定"),24("无指定"), 25("子女"),38("父母") */
    private String relation;

    /** 受益人用：受益顺序 */
    @Excel(name = "受益人用：受益顺序")
    private Integer benefSeq;

    /** 受益人用：受益比例 */
    @Excel(name = "受益人用：受益比例")
    private String benefRatio;

    /** 受益人用：指定所属被保人 */
    @Excel(name = "受益人用：指定所属被保人")
    private String parentInsure;

    /** 健康告知回答 */
    @Excel(name = "健康告知回答")
    private String answers;

    /** 受益人类型：1身故受益人；0身存受益人 */
    @Excel(name = "受益人类型：1身故受益人；0身存受益人")
    private String benefType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String healthAnswers;

    /** 企业单位名称 */
    @Excel(name = "企业单位名称")
    private String enterpriseName;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String organization;

    /** 纳税人识别号 */
    @Excel(name = "纳税人识别号")
    private String taxregistration;

    /** 月工资 */
    @Excel(name = "月工资")
    private Long salary;

    /** 年收入，单位万元 */
    @Excel(name = "年收入，单位万元")
    private String annualIncome;

    /** 收入来源 */
    @Excel(name = "收入来源")
    private String annualIncomeSource;

}
