package com.product.center.manage.utils;

import cn.hutool.core.util.StrUtil;

import java.security.MessageDigest;
import java.util.Map;
import java.util.TreeMap;

/**
 * @author ：fxl
 * @date ：Created in 2022/9/28 9:48
 * @description：
 */
public class SignUtil {


    public static String sign(Map<String, String> formData, String secretyKey) {
        if (formData == null) {
            throw new IllegalArgumentException("数据不能为空");
        }
        if (formData.isEmpty()) {
            return null;
        }
        if (secretyKey == null) {
            throw new IllegalArgumentException("安全校验码数据不能为空");
        }
        Map<String, String> sortedMap = new TreeMap<String, String>(formData);
        if (sortedMap.containsKey("sign")) {
            sortedMap.remove("sign");
        }
        StringBuffer stringToSign = new StringBuffer();
        if (sortedMap.size() > 0) {
            for (Map.Entry<String, String> entry : sortedMap.entrySet()) {
                if (!StrUtil.isEmpty(entry.getValue()) && entry.getValue() != null) {
                    stringToSign.append(entry.getKey()).append("=").append(entry.getValue()).append("&");
                }
            }
            stringToSign.deleteCharAt(stringToSign.length() - 1);
        }
        System.out.println("代签字符串[" + stringToSign.toString() + "]");
        stringToSign.append(secretyKey);
        System.out.println("代签字符串2[" + stringToSign.toString() + "]");
        String signature = md5Hex(stringToSign.toString());
        System.out.println("签名结果[" + signature + "]");
        return signature;
    }

    public static String md5Hex(String content) {
        try {
            MessageDigest digest = MessageDigest.getInstance("MD5");
            byte[] data = digest.digest(content.getBytes("UTF-8"));
            return new String(encodeHex(data));
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "";
    }

    protected static char[] encodeHex(byte[] data) {
        final int l = data.length;
        final char[] out = new char[l << 1];
        for (int i = 0, j = 0; i < l; i++) {
            out[j++] = DIGITS_LOWER[(0xF0 & data[i]) >>> 4];
            out[j++] = DIGITS_LOWER[0x0F & data[i]];
        }
        return out;
    }

    private static final char[] DIGITS_LOWER =
            {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f'};

}
