package com.product.center.manage.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.product.center.manage.common.core.domain.BaseEntity;
import com.product.center.manage.domain.CenterOrderPerson;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 【请填写功能名称】对象 center_order_main
 *
 * @author ruoyi
 * @date 2022-09-26
 */
@Data
public class CenterOrderMainVo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 保险公司编码 */
    private String companyCode;

    /** 订单号 */
    private String orderNo;

    /** 投保单号 */
    private String applicationNo;

    /** 保单号 */
    private String policyNo;

    /** 支付交易号 */
    private String payNo;

    /** 产品代码 */
    private String riskCode;

    /** 产品名称 */
    private String riskName;

    /** 产品代码 */
    private String productCode;

    /** 产品名称 */
    private String productName;


    /** 起保时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date plyStartDate;

    /** 终保时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date plyEndDate;

    /** 总保额 */
    private BigDecimal sumAmount;

    /** 总保费 */
    private BigDecimal sumPremium;

    /** 购买份数 */
    private Long mult;

    /** 保障期间 */
    private String period;

    /** 缴费期间 */
    private String payment;

    /** 缴费方式 Y D M */
    private String payway;

    /** 订单状态(UNDERWRITING("核保中"),UNDERWRIT_FAIL("核保失败"),WAIT_PAY("待支付"),YET_PAY("已支付"),PAY_FAIL("支付失败"),FINISHED("完成"),INSURE_FAIL("承保失败"),CANCEL("取消"),CLOSED("超时关闭")),PRE_ORDER("预订单") */
    private String status;

    /** 保险公司保单状态 */
    private String insuranceStatus;

    /** 保险公司子状态 */
    private String insuranceSubStatus;

    /** 1:犹豫期退保；2：非犹豫期退保
    /**退保状态（success 已退保 fail 退保失败 part 部分退保）*/
    /**退保状态", readConverterExp = "s=uccess,已=退保,f=ail,退=保失败,p=art,部=分退保")*/
    private String tbStatus;

    /** 核保状态（success 核保通过 fail 核保失败） */
    private String hbStatus;


    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createDate;

    /** 最近一次更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updateDate;

    /** 投保人手机号 */
    private String mobile;

    /** 投保人邮件 */
    private String email;

    /** 投保省 */
    private String residenceProvinceId;

    /** 投保城市 */
    private String residenceCityId;

    /** 渠道来源 */
    private String channel;

    /** 子渠道信息 */
    private String subchannel;

    /** 数据来源 */
    private String dataSource;

    /** 数据来源 */
    private String dataFrom;

    /** 续期银行代码 */
    private String bankCode;

    /** 续期银行名称 */
    private String bankName;

    /** 续期银行账号 */
    private String bankAccount;

    /** 续费银行省 */
    private String bankProvince;

    /** 续期银行市 */
    private String bankCity;

    /** 支付失败原因 */
    private String payFailReason;

    /** 支付回传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date payTransTime;

    /** 保单号回传时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date policyTransTime;

    /** 受益人类型：
        0("本人"),
        1("父子"),
        2("父女"),
        3("母子"),
        4("母女"),
        5("祖孙"),
        7("夫妻"),
        8("兄弟"),
        9("兄妹"),
        10("姐弟"),
        11("姐妹"),
        12("叔侄"),
        13("姑侄"),
        14("外甥"),
        15("媳"),
        16("婿"),
        17("姐夫"),
        18("朋友"),
        19("同事"),
        20("师生"),
        21("雇佣"),
        22("其他"),
        23("法定"),
        24("无指定"),
        25("子女") */
    private String beneficiaryType;

    /** 被保人类型：
        0("本人"),
        1("父子"),
        2("父女"),
        3("母子"),
        4("母女"),
        5("祖孙"),
        7("夫妻"),
        8("兄弟"),
        9("兄妹"),
        10("姐弟"),
        11("姐妹"),
        12("叔侄"),
        13("姑侄"),
        14("外甥"),
        15("媳"),
        16("婿"),
        17("姐夫"),
        18("朋友"),
        19("同事"),
        20("师生"),
        21("雇佣"),
        22("其他"),
        23("法定"),
        24("无指定"),
        25("子女") */
    private String insuredType;


    /** 1是自动续费，0是不自动续费 */
    private String rnewFlag;

    /** 赠险  1是自动续费，0是不自动续费，2是取消自动续费， 目前只有AS普照B版使用 */
    private String giftRnewFlag;

    /** 支付平台类型 */
    private String payPlatformType;


    /** 电子保单链接 */
    private String epolicyUrl;

    /** 总保费（含附加险） */
    private BigDecimal totalPremium;

    /** 期缴保费 */
    private BigDecimal periodPremium;

    /** 年化保费 */
    private BigDecimal annualizedPremium;

    /** 总的退保金额 */
    private BigDecimal refundTotal;

    /** 拆单订单标记 */
    private String unpackOrder;


    /** 核保等级,1-5是老版定期寿等级，6-11是新版定级寿等级(6:健康++，7健康+，8健康) */
    private String hbClass;

    /** 代理人工号 */
    private String agentCode;

    /** 代理人姓名 */
    private String agentName;


    /** 提交最近一次更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date tjUpdateDate;

    /** 核保最近一次更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date hbUpdateDate;

    /** 支付最近一次更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date zfUpdateDate;

    /** 承保最近一次更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date cbUpdateDate;

    /** 退保最近一次更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date tbUpdateDate;

    /** 犹豫期退保更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date ytUpdateDate;

    /** 失效最近一次更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sxUpdateDate;

    /** 复效最近一次更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date fxUpdateDate;

    private List<CenterOrderPerson> insureds;




}
